Get rental
curl --request GET \
--url https://api.gputrader.io/v1/rentals/{rentalId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.gputrader.io/v1/rentals/{rentalId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.gputrader.io/v1/rentals/{rentalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rentalId": "<string>",
"listing": {},
"userId": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"name": "My Instance",
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isSeed": true
}Rentals
Get rental
Retrieve detailed information about a specific rental
GET
/
rentals
/
{rentalId}
Get rental
Authorizations
Path Parameters
Rental ID
Query Parameters
Whether to exclude stack information from the response
Response
Successfully retrieved rental information
Unique identifier for the rental
Environment listing details
ID of the user who created the rental
Start date and time of the rental
End date and time of the rental
Name of the rental instance
Current status of the rental
Available options:
ACTIVE, COMPLETE Timestamp when the rental was created
Timestamp when the rental was last updated
Indicates if this is a seed rental

